models/mapobjects/pitted_rust_ps
{
	cull disable
	{
		map models/mapobjects/pitted_rust_ps.tga
		rgbgen vertex
	}

}

textures/ad_content/2x1
{
	qer_editorimage textures/ad_content/ad2x1.jpg
	nopicmip
	{
		map textures/ad_content/ad2x1.jpg
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
		rgbgen wave sin .15 0 0 0
		blendfunc add
	}
}

textures/base_support/metal_support2
{
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip
	{
		map textures/base_support/metal_support2.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

textures/base_support/metal_support3
{
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip
	{
		map textures/base_support/metal_support3.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

textures/gothic_light/ironcrosslt1_1000
{
	qer_editorimage textures/gothic_light/ironcrosslt1.tga
	q3map_lightimage textures/gothic_light/ironcrosslt1.blend.tga
	q3map_surfacelight 1000
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/gothic_light/ironcrosslt1.tga
		blendfunc filter
		rgbgen identity
	}
	{
		map textures/gothic_light/ironcrosslt1.blend.tga
		blendfunc add
	}
}

textures/gothic_trim/chain2
{
	cull disable
	surfaceparm alphashadow
	surfaceparm nonsolid
	{
		map textures/gothic_trim/chain2.tga
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

textures/liquids2/calm_poollight2nt
{
	qer_editorimage textures/liquids/pool3d_4b.tga
	q3map_globaltexture
	qer_trans .75
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nolightmap
	q3map_surfacelight 50
	cull disable
	{
		map textures/liquids/pool3d_5c2.tga
		blendfunc filter
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.05 .001
	}
	
	{
		map textures/liquids/pool3d_6c2.tga
		blendfunc filter
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .025 -.001
	}

	{
		map textures/liquids/pool3d_3c2.tga
		blendfunc filter
		rgbgen identity
		tcmod scale .25 .5
		tcmod scroll .001 .025
	}
	{
		map textures/liquids/pool3d_4b2.tga
		blendfunc add
		tcmod scale .125 .125	
		rgbgen identity
	}
}

textures/proto2/xflag01
{
	surfaceparm alphashadow
	surfaceparm nonsolid
	cull none
	{
		map textures/proto2/xflag01.tga
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}

}

textures/ql/telex
{
	qer_editorimage textures/ql/telex.tga
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	nopicmip
	polygonoffset 
	sort 6
	{
		map textures/ql/telex.tga
		blendfunc add
	}
}

textures/sfx/flame1km
{
	qer_editorimage textures/sfx/flame1.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	cull none
	q3map_surfacelight 4000
	nopicmip
	{
		animmap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendfunc add
		rgbgen wave inversesawtooth 0 1 0 10
	}
	{
		animmap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendfunc add
		rgbgen wave sawtooth 0 1 0 10
	}	
	{
		map textures/sfx/flameball.tga
		blendfunc add
		rgbgen wave sin .6 .2 0 .6
	}
}

textures/tp_gothic/pjgrate2_nopicmip
{
	qer_editorimage textures/base_floor/pjgrate2.tga
	surfaceparm metalsteps
	cull none
	nopicmip
	{
		map textures/base_floor/pjgrate2.tga
		tcmod scale 2.0 2.0
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		depthfunc equal
		rgbgen identity
	}
}

textures/tp_gothic/px01_dust
{	
	qer_editorimage textures/proto2/px01.tga
	surfaceparm dust
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/proto2/px01.tga
		rgbgen identity
		blendfunc filter
	}
}

textures/tp_gothic/red_cross
{
	qer_editorimage textures/tp_gothic/red_cross.tga
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	polygonoffset
	nopicmip
	{
		map textures/tp_gothic/red_cross.tga
		blendfunc add
		rgbGen identity
	}
}

textures/tp_gothic/tele_fire_swirl
{
	qer_editorimage textures/sfx/swirl_b1.tga
	deformVertexes wave 100 sin 1 2 .1 1
	q3map_surfacelight 300
	nopicmip
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
	cull none
	{
		clampmap textures/sfx/swirl_b1.tga
		blendfunc add
		tcMod rotate 50
	}
	{
		clampmap textures/sfx/swirl_b2.tga
		blendfunc add
		tcMod rotate 100
	}
}

textures/tp_gothic/tp_jumppad_fx
{
	qer_editorimage textures/tp_gothic/tp_jumppad_fx.tga
	q3map_surfacelight 300
	nopicmip
	surfaceparm	trans
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
	cull none
	{
		clampmap textures/tp_gothic/tp_jumppad_fx.tga
		blendfunc add
		tcmod rotate 100
	}
}

textures/tp_gothic/tp_darkwood_001
{
	surfaceparm woodsteps
	q3map_forcemeta
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/tp_gothic/tp_darkwood_001.tga
		blendfunc filter
	}
}

textures/tp_gothic/tp_oldboard_001
{
	surfaceparm woodsteps
	q3map_forcemeta
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/tp_gothic/tp_oldboard_001.tga
		blendfunc filter
	}
}

textures/tp_gothic/tp_stainedglass_001
{
	qer_editorimage textures/tp_gothic/tp_stainedglass_001.tga
	q3map_lightimage textures/tp_gothic/tp_stainedglass_001.tga
	q3map_surfacelight 150
	{
		map textures/tp_gothic/tp_stainedglass_001.tga
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
}

textures/tp_gothic/tp_stormclouds_001
{
	skyparms - 512 -
	q3map_lightimage textures/tp_gothic/tp_stormclouds_001.tga
	q3map_sunext .77 .91 1 300 80 60 3 16
	q3map_lightmapfilterradius 0 8
	q3map_skylight 100 3
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	nopicmip
	nomipmaps
	qer_editorimage textures/tp_gothic/tp_stormclouds_001.tga
	{
		map textures/tp_gothic/tp_stormclouds_001.tga
		tcmod scale 10 10
		tcmod scroll .05 .09
		depthwrite
	}
	{
		map textures/tp_gothic/tp_stormclouds_001.tga
		blendfunc add
		tcmod scale 4 4
		tcmod scroll 0.07 0.07
	}
}
